/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *******************************************************************************
 *
 * $Id$
 *
 ******************************************************************************/
package it.tidalwave.metadata.iptc.provider;

import javax.annotation.Nonnull;
import it.tidalwave.image.metadata.IPTC;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.spi.MetadataItemProviderSupport;
import it.tidalwave.metadata.tiff.provider.DirectoryMetadataItemHolder;

/*******************************************************************************
 *
 * This class provides support for {@link EXIF} metadata items.
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class IPTCProvider extends MetadataItemProviderSupport<IPTC>
  {
    public IPTCProvider()
      {
        super(IPTC.class, MetadataItemProviderSupport.CreationStrategy.RAW);
      }

    @Override
    @Nonnull
    protected MetadataItemHolder<IPTC> createMetadataHolder (@Nonnull final IPTC item)
      {
        return new DirectoryMetadataItemHolder<IPTC>(item);
      }
  }
